Skip to content

Statistics

All operations require authentication.

1 operationv1/cdn/dedicated
Agent setup

Get domain statisticsProduction

GET
/1.0/cdn/dedicated/{serviceName}/domains/{domain}/statistics

Path parameters

domain
required
string

Domain of this object

serviceName
required
string

The internal name of your CDN offer

Query parameters

period
required
StatsPeriodEnum

Period of the statistics

Valuesdaymonthweek
type
required
StatsTypeEnum

Type of statistics related to cache

Valuesbackendcdnthreat
value
required
StatsValueEnum

Value bandwidth or request

Valuesbandwidthrequest

Response

200StatsDataType[]successful operation
date
stringdate-time
—
value
integer
—

Example uses domain = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/cdn/dedicated/{serviceName}/domains/{domain}/statistics \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "date": "2024-01-01T12:00:00Z", "value": 0 }]